package com.lanyuanxiaoyao.digtal.market.ai

interface Chat {
    companion object {
        open class Message(val type: Type, val content: String) {
            companion object {
                enum class Type {
                    SYSTEM, USER
                }
            }
        }

        class SystemMessage(content: String) : Message(Message.Companion.Type.SYSTEM, content)
        class UserMessage(content: String) : Message(Message.Companion.Type.USER, content)
    }

    fun ask(vararg messages: Message): String?
}
